Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryUpdateResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.registry.EPPRegistryUpdateResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryUpdateResp

extends EPPResponse

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPRegistryUpdateResp()`
`EPPRegistryUpdateResp(EPPTransId aTransId, java.lang.String name)`
`EPPRegistryUpdateResp(EPPTransId aTransId, java.lang.String name, java.util.Date createDate)`
`EPPRegistryUpdateResp(EPPTransId aTransId, java.lang.String name, java.util.Date createDate, java.util.Date updateDate)`

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryUpdateResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryUpdateResp` attributes from the `aElement` DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryUpdateResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryUpdateResp` with this instance.
`java.util.Date` | `getCreateDate()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPRegistryUpdateResp`.
`java.lang.String` | `getType()` Gets the EPP command type associated with `EPPRegistryUpdateResp`.
`java.util.Date` | `getUpdateDate()`
`void` | `setCreateDate(java.util.Date createDate)`
`void` | `setName(java.lang.String name)`
`void` | `setUpdateDate(java.util.Date updateDate)`
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryUpdateResp

    public EPPRegistryUpdateResp()

### EPPRegistryUpdateResp

    public EPPRegistryUpdateResp(EPPTransId aTransId,
                                 java.lang.String name)

### EPPRegistryUpdateResp

    public EPPRegistryUpdateResp(EPPTransId aTransId,
                                 java.lang.String name,
                                 java.util.Date createDate)

### EPPRegistryUpdateResp

    public EPPRegistryUpdateResp(EPPTransId aTransId,
                                 java.lang.String name,
                                 java.util.Date createDate,
                                 java.util.Date updateDate)

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP command type associated with `EPPRegistryUpdateResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    EPPRegistryUpdateResp.ELM_NAME

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPRegistryUpdateResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPRegistryMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPRegistryUpdateResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryUpdateResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPRegistryUpdateResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryUpdateResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryUpdateResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPRegistryUpdateResp` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPRegistryUpdateResp` attributes from the `aElement` DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryUpdateResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getCreateDate

    public java.util.Date getCreateDate()

### setCreateDate

    public void setCreateDate(java.util.Date createDate)

### getUpdateDate

    public java.util.Date getUpdateDate()

### setUpdateDate

    public void setUpdateDate(java.util.Date updateDate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.